package com.zipcodewilmington.phonebook;
import org.junit.Test;
import org.junit.Assert;

/**
 * Created by leon on 1/23/18.
 */
public class PhoneBookTest {

    @Test
    public void testHasEntry(){
        //Given
        PhoneBook book = new PhoneBook();
        String name = "AA";
        String phoneNumber = "211-111-2222";

        book.add(name, phoneNumber);
        //When
        boolean actualOutput = book.hasEntry(name);

        //Then
        Assert.assertTrue(actualOutput);
    }

    @Test
    public void testLookUp(){
        //Given
        PhoneBook book = new PhoneBook();
        String name = "AA";
        String phoneNumber = "211-111-2222";
        book.person.put(name, phoneNumber);

        book.lookup(name);
        //When
        String actualOutput = book.lookup(name);

        //Then
        Assert.assertEquals("211-111-2222", actualOutput);
    }

    @Test
    public void testRemove(){
        //Given
        PhoneBook book = new PhoneBook();
        String name = "AA";
        String phoneNumber = "211-111-2222";

        book.remove(name);
        //When
        String actualOutput = book.remove(name);

        //Then
        Assert.assertNull(actualOutput);
    }

    @Test
    public void testReverseLookup(){
        //Given
        PhoneBook book = new PhoneBook();
        String name = "AA";
        String phoneNumber = "211-111-2222";

        book.reverseLookup(phoneNumber);
        //When
        String actualOutput = book.reverseLookup(phoneNumber);

        //Then
        Assert.assertNull(actualOutput);
    }
    @Test
    public void testListNamesAndNumbers(){
        PhoneBook book = new PhoneBook();
        book.add("Zebra", "111-222-3335");
        book.add("Dog", "222-444-4444");
        book.listNamesAndNumbers();
    }

}
